Bug 1529616 - Wrong file path to "90linux-distro" defined in "/usr/libexec/os-probes/50mounted-tests"
Summary: Wrong file path to "90linux-distro" defined in "/usr/libexec/os-probes/50moun...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: os-prober
Version: 27
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Hedayat Vatankhah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-29 00:33 UTC by jbai
Modified: 2018-01-09 16:49 UTC (History)
2 users (show)

Fixed In Version: os-prober-1.74-4.fc27 os-prober-1.74-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-02 16:54:33 UTC
Type: Bug


Attachments (Terms of Use)

Description jbai 2017-12-29 00:33:52 UTC
Description of problem:
Wrong file path to "/usr/libexec/os-probes/mounted/90linux-distro" is defined in file "/usr/libexec/os-probes/50mounted-test" at line #118:

      test="/usr/libexecexec/os-probes/mounted/90linux-distro"

As shown above, the folder name "libexec" is spelled wrong as "libexecexec".

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install Opensuse 42.2 on a separate disk with default disk partitioning scheme
2. On Fedora 27, run "os-prober"

Actual results:
Opensuse was not found by "os-prober"

Expected results:
Opensuse should be found by "os-prober"

Additional info:

Comment 1 Hedayat Vatankhah 2017-12-29 15:24:02 UTC
Thanks for the report :)
Will be fixed shortly. Its interesting to see it has been there for about a year!

Comment 2 Fedora Update System 2017-12-29 15:35:36 UTC
os-prober-1.74-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b962f6aaa0

Comment 3 Fedora Update System 2017-12-29 15:35:45 UTC
os-prober-1.74-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0733bca2ab

Comment 4 Fedora Update System 2017-12-29 19:32:12 UTC
os-prober-1.74-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0733bca2ab

Comment 5 Fedora Update System 2017-12-29 21:42:38 UTC
os-prober-1.74-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b962f6aaa0

Comment 6 Fedora Update System 2018-01-02 16:54:33 UTC
os-prober-1.74-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-01-09 16:49:16 UTC
os-prober-1.74-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.